package com.kmall.manager.entity.pay.data.open;

import java.io.Serializable;

/**
 * @author Scott Chen
 * @since 1.0
 * 2018-12-21
 */
public class PayExchangeInfoHead implements Serializable {

    private static final long serialVersionUID = 146655896979508903L;

    // 系统唯一序号
    private String guid;
    // 原始请求
    private String initalRequest;
    // 原始响应
    private String initalResponse;
    // 电商平台代码
    private String ebpCode;
    // 支付企业代码
    private String payCode;
    // 交易流水号
    private String payTransactionId;
    // 交易金额
    private Double totalAmount;
    // 币制
    private String currency;
    // 验核机构
    private String verDept;
    // 支付类型
    private String payType;
    // 交易成功时间
    private String tradingTime;
    // 备注
    private String note;

    public String getGuid() {
        return guid;
    }

    public void setGuid(String guid) {
        this.guid = guid;
    }

    public String getInitalRequest() {
        return initalRequest;
    }

    public void setInitalRequest(String initalRequest) {
        this.initalRequest = initalRequest;
    }

    public String getInitalResponse() {
        return initalResponse;
    }

    public void setInitalResponse(String initalResponse) {
        this.initalResponse = initalResponse;
    }

    public String getEbpCode() {
        return ebpCode;
    }

    public void setEbpCode(String ebpCode) {
        this.ebpCode = ebpCode;
    }

    public String getPayCode() {
        return payCode;
    }

    public void setPayCode(String payCode) {
        this.payCode = payCode;
    }

    public String getPayTransactionId() {
        return payTransactionId;
    }

    public void setPayTransactionId(String payTransactionId) {
        this.payTransactionId = payTransactionId;
    }

    public Double getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(Double totalAmount) {
        this.totalAmount = totalAmount;
    }

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    public String getVerDept() {
        return verDept;
    }

    public void setVerDept(String verDept) {
        this.verDept = verDept;
    }

    public String getPayType() {
        return payType;
    }

    public void setPayType(String payType) {
        this.payType = payType;
    }

    public String getTradingTime() {
        return tradingTime;
    }

    public void setTradingTime(String tradingTime) {
        this.tradingTime = tradingTime;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }
}
